python-monetdb

Gijs Molenaar gijsmolenaar at gmail.com
Mon Nov 17 12:12:03 CET 2014


Hi MonetDB developers,

I noticed the python3 package was broken, and pypi was outdated.

I lost the key for committing to the tree, so I did the following:

 * I created a temporary fork on github:
https://github.com/gijzelaerr/python-monetdb

 * I've merge the python2 and python3 code using six. This is a reverse of
the split I previously did, since it is just much easier to manage one
single code base. People make mistakes. Also this way the package on pypi
works with all pythons at the same time (most important reason).

 * cleanup the test suite

 * i'm using tox myself now for running the test suite with all the various
pythons

 * I've uploaded a new version to pypi, with version ID 11.19.3.1

 * This version is tested with  python 2.6, 2.7 3.3, 3.4 and pypy


I propose you just take my changes and merge them back in your tree, then I
remove the fork.  Also probably it is wise you incorporate the upload to
pypi in your release process. Most people probably use pypi for installing
their python requirements. For this you need to create a pypi account and
let me know the username so I can give this account authorisation to upload
the package. You can upload to pypi from the source folder using:

 $ python setup.py sdist upload


Sorry for any inconvenience but I just needed to get python3 support
quickly.


-- 
Gijs Molenaar
http://pythonic.nl <http://gijs.pythonic.nl>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.monetdb.org/pipermail/developers-list/attachments/20141117/e740d8e9/attachment.html>


More information about the developers-list mailing list